Subject: Re: [PATCH] mlxbf_gige: Add missing check for platform_get_irq

From: Simon Horman <[email-masked]>
Date: Thu, 1 Jun 2023 17:08:54 +0200

On Thu, Jun 01, 2023 at 02:58:08PM +0800, Jiasheng Jiang wrote:
> On Thu,  1 Jun 2023 14:27:21 +0800 Jakub Kicinski wrote:
> > On Thu,  1 Jun 2023 14:19:08 +0800 Jiasheng Jiang wrote:
> >> Add the check for the return value of the platform_get_irq and
> >> return error if it fails.
> >> 
> >> Fixes: f92e1869d74e ("Add Mellanox BlueField Gigabit Ethernet driver")
> >> Signed-off-by: Jiasheng Jiang <[email-masked]>
> > 
> > BTW I looked thru my sent messages and I complained to you about not
> > CCing people at least twice before. Please start paying attention or
> > we'll stop paying attention to your patches.
> 
> According to the documentation of submitting patches
> (Link: https://docs.kernel.org/process/submitting-patches.html),
> I used "scripts/get_maintainer.pl" to gain the appropriate recipients
> for my patch.
> However, the "[email-masked]" is not contained in the following list.
> 
> "David S. Miller" <[email-masked]> (maintainer:NETWORKING DRIVERS)
> Eric Dumazet <[email-masked]> (maintainer:NETWORKING DRIVERS)
> Jakub Kicinski <[email-masked]> (maintainer:NETWORKING DRIVERS,commit_signer:5/6=83%,authored:1/6=17%,removed_lines:1/20=5%)
> Paolo Abeni <[email-masked]> (maintainer:NETWORKING DRIVERS)
> Asmaa Mnebhi <[email-masked]> (commit_signer:4/6=67%)
> David Thompson <[email-masked]> (commit_signer:4/6=67%,authored:4/6=67%,added_lines:94/99=95%,removed_lines:19/20=95%)
> Marc Kleine-Budde <[email-masked]> (commit_signer:1/6=17%)
> [email-masked] (open list:NETWORKING DRIVERS)
> [email-masked] (open list)
> 
> There may be a problem with the script.
> The best way is to fix it.

Let's take a step back.

The script is here, so you can take a look at what it does.
And I dare say that changes can be proposed.

  https://github.com/kuba-moo/nipa/blob/master/tests/patch/cc_maintainers/test.py

I'd also say that the problem here is that Liming Sun <[email-masked]>
appears in the above mentioned commit that is being fixed.

I think that get_maintainer will dell you this if you run it
on your patch. Which is what the script appears to do.

Locally, I see:

  $ ./scripts/get_maintainer.pl --git-min-percent 25 this.patch
  "David S. Miller" <[email-masked]> (maintainer:NETWORKING DRIVERS,blamed_fixes:1/1=100%)
  Eric Dumazet <[email-masked]> (maintainer:NETWORKING DRIVERS)
  Jakub Kicinski <[email-masked]> (maintainer:NETWORKING DRIVERS,commit_signer:5/5=100%)
  Paolo Abeni <[email-masked]> (maintainer:NETWORKING DRIVERS)
  Asmaa Mnebhi <[email-masked]> (commit_signer:4/5=80%,blamed_fixes:1/1=100%)
  David Thompson <[email-masked]> (commit_signer:4/5=80%,authored:4/5=80%,added_lines:94/95=99%,removed_lines:19/20=95%,blamed_fixes:1/1=100%)
  Liming Sun <[email-masked]> (blamed_fixes:1/1=100%)
  [email-masked] (open list:NETWORKING DRIVERS)
  [email-masked] (open list)

N.B.: The script excludes [email-masked]

As an aside. This patch is missing v2.

  Subject: [PATCH v2] ...